<div class="book-list-wrap" ng-controller="book.BOOKNewListCtrl">
    <div class="header">
        <ul class="step-wrap-2">
            <li class="step1">
                <p class="step-number"><i>1</i></p>
                <p class="step-tip">我的出行计划</p>
                <i class="arrow fa fa-chevron-right"></i>
            </li>
            <li class="step2">
                <p class="step-number"><i>2</i></p>
                <p class="step-tip">服务商提供的出行方案</p>
                <i class="arrow fa fa-chevron-right"></i>
            </li>
            <li class="step3">
                <p class="step-number"><i>3</i></p>
                <p class="step-tip">我的订单</p>
                <i class="arrow fa fa-chevron-right"></i>
            </li>
            <li class="step4">
                <p class="step-number"><i>4</i></p>
                <p class="step-tip">我的报销</p>
            </li>
        </ul>
    </div>
    <div class="book-list">
        <div class="item" ng-repeat="travel in vm.list track by $index | orderBy: 'createTime'" ng-if="!vm.hasData">
            <div class="item-header">
                <p class="item-code">{{ travel.code }}</p>
                <p class="item-time">{{ travel.createTime | date: 'yyyy-MM-dd HH:mm'}}</p>
            </div>
            <div class="item-main">
                <span class="arrow-tip tip1"></span>
                <span class="arrow-tip tip2"></span>
                <span class="arrow-tip tip3"></span>
                <!-- 行程 -->
                <div class="table first bg-blue">
                    <div class="tb-main-wrap">
                        <div class="tb-main " ng-class="{'more-two': travel.summary.trips.length > 1}" ng-if="travel.summary.trips.length">
                            <div class="flow" ng-repeat="trip in travel.summary.trips  track by $index">
                                <div class="flow-item">
                                    <div class="left" ng-class="{'noicon': !trip.hadHotel}" ng-if="trip.from.cityName">
                                        <p title="{{ trip.from.cityName }}">{{ trip.from.cityName }}</p>
                                        <p ng-if="trip.from.hasHotel"><i class="icon fa fa-hospital-o"></i></p>
                                    </div>
                                    <div class="right" ng-if="trip.from.cityName && trip.to.cityName">
                                        <p class="line one-trip"></p>
                                        <p class="icons" ng-if="trip.from.hasPlan">
                                            <i class="icon fa fa-plane"></i>
                                        </p>
                                    </div>
                                    <div class="left" ng-if="trip.to.cityName">
                                        <p title="{{ trip.to.cityName }}">{{trip.to.cityName}}</p>
                                        <p ng-if="trip.to.hasHotel"><i class="icon fa fa-hospital-o"></i></p>
                                    </div>
                                    <div class="order" ng-class="{ 'last': $index == travel.summary.trips.length - 1 }" ng-if="travel.summary.trips.length > 1">
                                        <span>{{ $index + 1 }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tb-main " ng-if="!travel.summary.trips.length" style="font-size: 24px;">完善您的出行计划</div>
                    </div>
                    <div class="tb-footer">
                        <p ng-if="book.source !== 'fromWechat'">出差人数：{{travel.summary.travellerNumber}}人</p>
                        <p ng-if="book.source === 'fromWechat'"></p>
                        <div class="footer-btn" ng-if="travel.status == vm.travelStatus.draft">
                            <button class="btn btn-default detail-btn" ng-click="methods.removeTravel(travel.id)">删除</button>
                            <button class="btn btn-default fr" ui-sref="book.create({id: travel.id})">编辑</button>
                        </div>
                        <div class="footer-btn" ng-if="travel.status == vm.travelStatus.submit">
                            <button class="btn btn-default detail-btn" ng-click="methods.jumpToDetail(travel.id)">查看详情<span ng-if="travel.summary.msgNumber">{{travel.summary.msgNumber}}</span></button>
                            <button class="btn btn-default fr" ng-click="methods.cancelTravel(travel.id)">取消出行计划</button>
                        </div>
                    </div>
                    <p class="bottom-tip" title="{{travel.summary.tip}}">{{travel.summary.tip}}</p>
                </div>
                <!-- 方案 -->
                <div class="table" ng-class="{'selected-table': methods.pickSelected(travel.cases.caseList).length > 0 && travel.status != vm.travelStatus.draft}">
                    <!-- 已提交 -->
                    <div ng-if="travel.status == vm.travelStatus.submit" style="height: 100%;">
                        <!-- 待抢单/等待方案 -->
                        <div class="no-case-wrap" ng-if="!travel.cases.caseList.length">
                            <div class="no-case timeout" ng-class="{'time-only': travel.cases.tcList.length == 0 || travel.cases.countdown > 0}">
                                <p ng-if="travel.cases.tcList.length > 0">已有 {{travel.cases.tcList.length}} 位差旅顾问接单</p>
                                <p class="time" style="font-size: 14px;" ng-if="travel.cases.countdown && !travel.cases.tcList.length">出行计划有效期</p>
                                <p class="time" ng-hide="travel.cases.countdown == 0 && travel.cases.tcList.length == 0" go-countdown seconds="travel.cases.countdown"></p>
                                <ul class="tmc_list" ng-if="travel.cases.tcList.length > 0">
                                    <li ng-repeat="tc in travel.cases.tcList | range: 4 track by $index" title="{{tc.name}}">
                                        <img ng-src="{{tc.head || './res/company-default-logo.png'}}">
                                    </li>
                                    <li style="color: #BDBDBD;" ng-if="travel.cases.tcList.length > 4"><i class="icon fa fa-ellipsis-h"></i></li>
                                </ul>
                                <p ng-if="travel.cases.countdown == 0 && travel.cases.tcList.length == 0" style="padding: 0 30px;">在您期望的{{travel.cases.time}}内无人接单，请适当调整出行计划后重新提交</p>
                                <button ng-if="travel.cases.countdown == 0" class="btn btn-ghost fr blue resubmit" ui-sref="book.create({id: travel.id})">修改出行计划</button>
                            </div>
                        </div>
                        <!-- 未选方案 -->
                        <ul class="case-list" ng-if="travel.cases.caseList.length > 1 && methods.pickSelected(travel.cases.caseList).length == 0">
                            <li ng-repeat="case in travel.cases.caseList track by $index" ng-class="{'new': case.isNew}" ng-click="methods.jumpToSchemeDetail(case.id)">
                                <div class="left avatar">
                                    <p style="margin-bottom: 5px;">
                                        <img ng-src="{{case.tmcHead || './res/company-default-logo.png'}}">
                                        <i ng-if=" seletedCase.msgNumber ">{{seletedCase.msgNumber}}</i>
                                    </p>
                                    <p>{{case.tmcName}}</p>
                                </div>
                                <div class="right">
                                    <div class="top">{{case.tcName}}</div>
                                    <div class="middle">
                                        <span class="money">￥{{case.money | price}}</span>
                                        <span>></span>
                                    </div>
                                </div>
                            </li>
                        </ul>
                        <!-- 选中方案 -->
                        <div class="selected-order tb-main-wrap" ng-repeat="seletedCase in methods.pickSelected(travel.cases.caseList) | range: 1" ng-if="methods.pickSelected(travel.cases.caseList).length > 0" ng-class="{'new': seletedCase.isNew, 'not-select': seletedCase.isSelected.toString() == 'false'}" ng-click="methods.jumpToSchemeDetail(seletedCase.id)">
                            <div class="tb-header">
                                <div class="left avatar order">
                                    <p class="ava-img">
                                        <img ng-src="{{seletedCase.tmcHead || './res/company-default-logo.png'}}">
                                        <i ng-if=" seletedCase.msgNumber ">{{seletedCase.msgNumber}}</i>
                                        <p class="name">{{seletedCase.tmcName}}</p>
                                    </p>
                                </div>
                                <div class="right name">
                                    {{seletedCase.tcName}}
                                </div>
                            </div>
                            <div class="tb-main-wrap order">
                                <div class="tb-main">
                                    <div class="middle">
                                        <span class="money">￥{{seletedCase.money | price}}</span>
                                        <span class="arrow">></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- 草稿 -->
                    <div class="no-order-wrap" ng-if="travel.status == vm.travelStatus.draft">
                        <div class="no-order">
                            <p>未有出行方案</p>
                        </div>
                    </div>
                    <p class="bottom-tip" title="{{ travel.cases.tip }}">{{ travel.cases.tip }}</p>
                </div>
                <!-- 订单 -->
                <div class="table">
                    <div class="no-order-wrap" ng-if="!travel.order || !travel.order.id">
                        <div class="no-order">
                            <p>未有订单</p>
                        </div>
                    </div>
                    <div ng-if="travel.order && travel.order.id" style="height: 100%;">
                        <div class="tb-header">
                            <div class="timeout" ng-hide="travel.order.isOk || travel.order.payCountdown == 0 || travel.order.currentCount <= 0">请在<span go-countdown seconds="travel.order.payCountdown"></span>内支付 </div>
                            <p class="text-center" style="color:#4caf50;" ng-if="travel.order.isOk"><i class="fa fa-check-circle"></i>&nbsp;<span>已支付</span></p>
                        </div>
                        <div class="tb-main-wrap order" ng-class="{'hasPay': travel.order.currentCount > 0}">
                            <div class="tb-main">
                                <ul class="order-item-list">
                                    <li class="order-item" ng-if="travel.order.planNumber">
                                        <span class="text">
                                        <i class="fa fa-plane mr10"></i><span>机票</span>
                                        </span>
                                        <span class="badge bg-success ng-binding">{{travel.order.planNumber}}</span>
                                    </li>
                                    <li class="order-item" ng-if="travel.order.hotelNumber">
                                        <span class="text">
                                        <i class="fa fa-hospital-o mr10"></i><span>酒店</span>
                                        </span>
                                        <span class="badge bg-success ng-binding">{{travel.order.hotelNumber}}</span>
                                    </li>
                                    <li class="order-item" ng-if="travel.order.othersNumber">
                                        <span class="text">
                                        <i class="fa fa-suitcase mr10"></i><span>其他</span>
                                        </span>
                                        <span class="badge bg-success ng-binding">{{travel.order.othersNumber}}</span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="order-footer">
                            <div class="count-info" style="margin-bottom: 10px;">
                                <div class="text-left" style="display:inline-block;">
                                    <p><span class="money-tip">订单总价：</span><span class="money">￥{{travel.order.totalCount | price}}</span></p>
                                    <p><span class="money-tip">本次支付：</span><span class="money">￥{{travel.order.currentCount | price}}</span></p>
                                    <!-- <p ng-if="travel.order.status == vm.orderStatus.finished">已完成</p> -->
                                    <p ng-if="travel.order.status == vm.orderStatus.refunding"><span class="money-tip">应退款：</span><span class="money">￥{{travel.order.currentCount | price}}</span></p>
                                </div>
                            </div>
                            <div class="btns text-center">
                                <button class="btn btn-default btn-warning orange" ng-if="travel.order.status == vm.orderStatus.unfinished && travel.order.currentCount > 0" ui-sref="order.detail({id: travel.order.id})">去支付</button>
                                <button class="btn btn-default btn-warning orange" ng-if="travel.order.status == vm.orderStatus.unfinished && travel.order.currentCount <= 0" ui-sref="order.detail({id: travel.order.id})">去确认</button>
                                <!-- <p style="color: #333;cursor: pointer;" ng-if="travel.order.status == vm.orderStatus.finished" ui-sref="order.detail({id: travel.order.id})">申请退改签</p> -->
                                <button class="btn btn-default btn-warning orange" ng-if="travel.order.status == vm.orderStatus.finished" ui-sref="order.detail({id: travel.order.id})">申请退改签</button>
                            </div>
                        </div>
                    </div>
                    <p class="bottom-tip" title="{{travel.order.tip}}">{{travel.order.tip}}</p>
                </div>
                <!-- 报销 -->
                <div class="table last">
                    <div class="no-order-wrap" ng-if="!book.orderInfo">
                        <div class="no-order">
                            <p>即将上线</p>
                            <p>敬请关注</p>
                        </div>
                    </div>
                </div>
                
            </div>
            <table>
                <tbody>
                    <tr>
                        <td colspan="4"></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="nodata" ng-if="vm.hasData"><img src="./res/nodata.png"></div>
    </div>
    <nav class="page-wrap text-center" ng-if=" vm.total > 0 ">
        <pagination class="mt0 mb0" items-per-page="vm.pageParams.limit" total-items="vm.total" ng-model="vm.pageParams.start" num-pages="numberPages" ng-change="methods.load()"></pagination>
        <span class="total">共{{ numberPages }}页</span>
    </nav>
</div>
<div class="float" ui-sref="book.create">
</div>
